Subject: Can't se zone

From: Gustav Kristoffer Ek <[email-masked]>
Date: Fri, 18 Aug 2000 01:59:18 +0200 (CEST)

I have the folowing setup:

                                                  +---+ +---+
                                                  |mac| |mac|
                                                  |(1)| i(2)|
          +----+                 +------- +       +---+ +---+
          | gw |                 |airport| ethernet |     |
    eth0 -|    |- airport . . . -|base st|---+------+-----+-----
(zone A)  +----+  (zone B)       +-------+   |
      netatalk router                        |
 seeding router for zone A and B         +-------+  
                                         |grafisk|
                                         |       |
                                         +-------+
                                     netatalk fileserver
Resumé
======
The problem is that the computers on one side of the seeding router
(attached to eth0) can see both "zone A" and "zone B", but the computers
on the other side can only see the local zone. The airport to airport base
station/ethernet bridge works just fine for tcp/ip.

gw
==
the atalkd.conf on the gw (netatalk and linuxppc) is:

    eth0 -seed -phase 2 -net 1000-1100 -addr 1000.1 -zone "zone A"
    airport -seed -phase 2 -net 2000-2200 -addr 2041.127 -zone "zone B"

When I start atalkd on gw, I got the folowing in the log:

    gw atalkd[22684]: zip_getnetinfo for eth0
    gw atalkd[22684]: as_timer configured eth0 phase 2 from seed
    gw atalkd[22684]: zip_getnetinfo for airport
    gw atalkd[22684]: as_timer configured airport phase 2 from seed
    gw atalkd[22684]: ready 0/0/0
    gw atalk: atalkd startup succeeded

it seems to be OK?

grafisk
=======
Then I make sure that atalk.conf only contains one line which is:

    eth0

and start atalkd. The log says:

    grafisk atalkd[1612]: restart (1.4b2+asun2.1.4)
    grafisk atalkd[1612]: zip_getnetinfo for eth0
    grafisk atalkd[1612]: zip gnireply from 2000.1 (eth0 12)
    grafisk atalkd[1612]: zip_packet configured eth0 from 2000.1
    grafisk atalkd[1612]: rtmp_packet gateway 2000.1 up
    grafisk atalkd[1612]: as_timer can't get zone for 1000
    grafisk atalkd[1612]: ready -2/0/0

and the log on gw says:

    gw atalkd[22684]: zip gnireply from 2000.1 (airport 4fa)
    gw atalkd[22684]: zip ignoring gnireply

after the atalkd has started, the atalkd.conf contains:

    eth0 -phase 2 -net 2000-2200 -addr 2084.103 -zone "zone B"

but when I try a getzone I only got "zone B", and on the Mac's on the
ethernet Mac (1) and Mac (2) there is no zones in Chooser and the
AppleTalk control panel reports "no zones available" but they get on the
right network, for instance 2084.215.

The strange thing is, that all computers attached to eth0 on gw works
fine, a getzone shows both "zone A" and "zone B" and I can see the zones
in chooser on the Mac's on this network and select printers in "zone
A" but nothings shows up under "zone B".

- gustav

-- 
Gustav Kristoffer Ek,  Netcetera, Brolæggerstræde 4, 1211 København K
+45 33147000, +45 20400005, fax +45 33146200 http://www.netcetera.dk/